﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SfDataGridSample.Model;
using Syncfusion.Windows.Shared;
using Syncfusion.UI.Xaml.Grid;
using System.Windows;
using System.Windows.Threading;
using System.Windows.Input;
using System.Dynamic;
using System.Data;
using System.Windows.Media;

namespace SfDataGridSample
{
    class ViewModel : INotifyPropertyChanged
    {
       
        #region Constructor
 
        public ViewModel()
        {
           Employees = PopulateCollection();
           ColorPickerColor = Colors.Green;
        }

       
        private bool allowCheck;

        public bool AllowCheck
        {
            get { return allowCheck; }
            set { allowCheck = value; OnPropertyChanged("AllowCheck"); }
        }


        #endregion

        private Color colorPickerColor;

        public Color ColorPickerColor

        {
            get { return colorPickerColor; }
            set { colorPickerColor = value; OnPropertyChanged("ColorPickerColor"); }
        }
        
        private ObservableCollection<BusinessObjects> employees;
        public ObservableCollection<BusinessObjects> Employees
        {
            get
            {
                return employees;
            }
            set
            {
                employees = value;
                OnPropertyChanged("Employees");
            }
        }


        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion

        private ObservableCollection<BusinessObjects> PopulateCollection()
        {
            var item = new ObservableCollection<BusinessObjects>();

            item.Add(new BusinessObjects() { EmployeeName = "Mart", JoiningDate = DateTime.Now, EmployeeAge = 45, EmployeeArea = "USA", EmployeeSalary = 33000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 2});

            item.Add(new BusinessObjects() { EmployeeName = "Peter", EmployeeAge = 35, EmployeeArea = "UK", EmployeeSalary = 5678, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 1});
            item.Add(new BusinessObjects() { EmployeeName = "James", EmployeeAge = 42, EmployeeArea = "UAE", EmployeeSalary = 18700, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 3});

            item.Add(new BusinessObjects() { EmployeeName = "Oliver", EmployeeAge = 36, EmployeeArea = "USA", EmployeeSalary = 67000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 4 });

            item.Add(new BusinessObjects() { EmployeeName = "Robert", EmployeeAge = 54, EmployeeArea = "India", EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 5});

            item.Add(new BusinessObjects() { EmployeeName = "Suji", EmployeeAge = 45, EmployeeArea = "UK", EmployeeSalary = 90000, ExperienceInMonth = 10, EmployeeGender = "Female", Rating = 2});

            item.Add(new BusinessObjects() { EmployeeName = "Mahesh", EmployeeAge = 48, EmployeeArea = "UK", EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 1});

            item.Add(new BusinessObjects() { EmployeeName = "Ruby", EmployeeAge = 49, EmployeeArea = "UK", EmployeeSalary = 12345, ExperienceInMonth = 10, EmployeeGender = "Female", Rating = 3});
            item.Add(new BusinessObjects() { EmployeeName = "Christain", EmployeeAge = 54, EmployeeArea = "India", EmployeeSalary = 80000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 4 });

            item.Add(new BusinessObjects() { EmployeeName = "Aravind", EmployeeAge = 65, EmployeeArea = "India", EmployeeSalary = 12000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 5});

            item.Add(new BusinessObjects() { EmployeeName = "Daniel", EmployeeAge = 56, EmployeeArea = "USA", EmployeeSalary = 16000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 2});

            item.Add(new BusinessObjects() { EmployeeName = "Suhitha Azar", EmployeeAge = 78, EmployeeArea = "UK", EmployeeSalary = 98789, ExperienceInMonth = 10, EmployeeGender = "Female", Rating = 3});

            item.Add(new BusinessObjects() { EmployeeName = "Praveen", EmployeeAge = 54, EmployeeArea = "UAE", EmployeeSalary = 45678, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 3});

            item.Add(new BusinessObjects() { EmployeeName = "Stephen", EmployeeAge = 45, EmployeeArea = "USA", EmployeeSalary = 21000, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 1});

            item.Add(new BusinessObjects() { EmployeeName = "Asha Joseph", EmployeeAge = 56, EmployeeArea = "India", EmployeeSalary = 56787, ExperienceInMonth = 10, EmployeeGender = "Female", Rating = 4});

            item.Add(new BusinessObjects() { EmployeeName = "Clarke", EmployeeAge = 67, EmployeeArea = "UK", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 2});

            item.Add(new BusinessObjects() { EmployeeName = "Dhileep Venkatesh", EmployeeAge = 45, EmployeeArea = "UK", EmployeeSalary = 45656, ExperienceInMonth = 10, EmployeeGender = "Male", Rating = 5});
            return item;
        }

    }
}
